Index: config.gcc
===================================================================
--- config.gcc	(revision 201376)
+++ config.gcc	(working copy)
@@ -313,7 +313,7 @@ aarch64*-*-*)
 	cpu_type=aarch64
 	need_64bit_hwint=yes
 	extra_headers="arm_neon.h"
-	extra_objs="aarch64-builtins.o"
+	extra_objs="aarch64-builtins.o aarch-common.o"
 	target_has_targetm_common=yes
 	;;
 alpha*-*-*)
@@ -501,6 +501,7 @@ fi
 
 case ${target} in
 aarch64*-*-*)
+	tm_p_file="${tm_p_file} arm/aarch-common-protos.h"
 	case ${with_abi} in
 	"")
 		if test "x$with_multilib_list" = xilp32; then
Index: config/aarch64/aarch64.md
===================================================================
--- config/aarch64/aarch64.md	(revision 201376)
+++ config/aarch64/aarch64.md	(working copy)
@@ -349,6 +349,7 @@
 (include "aarch64-generic.md")
 (include "large.md")
 (include "small.md")
+(include "../arm/cortex-a53.md")
 
 ;; -------------------------------------------------------------------
 ;; Jumps and other miscellaneous insns
Index: config/aarch64/t-aarch64
===================================================================
--- config/aarch64/t-aarch64	(revision 201376)
+++ config/aarch64/t-aarch64	(working copy)
@@ -35,6 +35,11 @@ aarch64-builtins.o: $(srcdir)/config/aar
 	$(COMPILER) -c $(ALL_COMPILERFLAGS) $(ALL_CPPFLAGS) $(INCLUDES) \
 		$(srcdir)/config/aarch64/aarch64-builtins.c
 
+aarch-common.o: $(srcdir)/config/arm/aarch-common.c $(CONFIG_H) $(SYSTEM_H) \
+    coretypes.h $(TM_H) $(TM_P_H) $(RTL_H) $(TREE_H) output.h $(C_COMMON_H)
+	$(COMPILER) -c $(ALL_COMPILERFLAGS) $(ALL_CPPFLAGS) $(INCLUDES) \
+		$(srcdir)/config/arm/aarch-common.c
+
 comma=,
 MULTILIB_OPTIONS    = $(patsubst %, mabi=%, $(subst $(comma), ,$(TM_MULTILIB_CONFIG)))
 MULTILIB_DIRNAMES   = $(subst $(comma), ,$(TM_MULTILIB_CONFIG))
